Web lists-archives.com

[MPlayer-dev-eng] [PATCH] >=libcdio-0.90 support fix




cdda support via libcdio now requires both libcdio and libcdio-paranoia to work due to header location changes,
would be nice to have it officialy patched as some have been doing it manually for over two years now (https://github.com/pld-linux/mplayer/blob/master/mplayer-libcdio.patch)...

Here's a patch tested against the svn version from January:

--- configure	2015-01-29 12:32:46.000000000 +0200
+++ configure	2015-01-29 12:46:24.000000000 +0200
@@ -6133,8 +6133,13 @@
         cat > $TMPC << EOF
 #include <stdio.h>
 #include <cdio/version.h>
+#if LIBCDIO_VERSION_NUM >= 90
+#include <cdio/paranoia/cdda.h>
+#include <cdio/paranoia/paranoia.h>
+#else
 #include <cdio/cdda.h>
 #include <cdio/paranoia.h>
+#endif
 int main(void) {
     void *test = cdda_verbose_set;
     printf("%s\n", CDIO_VERSION);
--- stream/stream_cdda.c	2015-01-29 12:26:40.000000000 +0200
+++ stream/stream_cdda2.c	2015-01-29 13:06:04.000000000 +0200
@@ -21,9 +21,15 @@
 #include <cdda_interface.h>
 #include <cdda_paranoia.h>
 #else
+#include <cdio/version.h>
+#if LIBCDIO_VERSION_NUM >= 90
+#include <cdio/paranoia/cdda.h>
+#include <cdio/paranoia/paranoia.h>
+#else
 #include <cdio/cdda.h>
 #include <cdio/paranoia.h>
 #endif
+#endif
 #include <stdio.h>
 #include <stdlib.h>

_______________________________________________
MPlayer-dev-eng mailing list
MPlayer-dev-eng@xxxxxxxxxxxx
https://lists.mplayerhq.hu/mailman/listinfo/mplayer-dev-eng